{
  "name": "frontend",
  "version": "1.0.0",
  "private": true,
  "author": "GIN",
  "description": "simple template frontend",
  "scripts": {
    "dev:web": "pnpm --filter @simple-template/web dev",
    "build:web": "pnpm --filter @simple-template/web build",
    "preview:web": "pnpm --filter @simple-template/web preview",
    "typecheck:web": "pnpm --filter @simple-template/web typecheck",
    "dev:app:weapp": "pnpm --filter @simple-template/app dev:weapp",
    "build:app:weapp": "pnpm --filter @simple-template/app build:weapp",
    "dev:app:h5": "pnpm --filter @simple-template/app dev:h5",
    "build:app:h5": "pnpm --filter @simple-template/app build:h5",
    "lint:web": "pnpm --filter @simple-template/web lint",
    "lint:app": "pnpm --filter @simple-template/app lint",
    "lint": "pnpm lint:web && pnpm lint:app",
    "format": "prettier --write \"**/*.{js,jsx,ts,tsx,vue,css,scss,html,json,md}\"",
    "typecheck:app": "pnpm --filter @simple-template/app typecheck",
    "typecheck": "pnpm typecheck:web && pnpm typecheck:app"
  },
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^5.60.0",
    "@typescript-eslint/parser": "^5.60.0",
    "postcss-html": "^1.5.0",
    "postcss-scss": "^4.0.6",
    "prettier": "^2.8.8",
    "stylelint": "^16.4.0",
    "stylelint-config-html": "^1.1.0",
    "stylelint-config-recess-order": "^4.2.0",
    "stylelint-config-recommended-vue": "^1.4.0",
    "stylelint-config-standard": "^38.0.0",
    "stylelint-config-standard-scss": "^13.1.0",
    "stylelint-order": "^6.0.3",
    "stylelint-scss": "^6.12.1",
    "typescript": "^5.4.5"
  },
  "pnpm": {
    "peerDependencyRules": {
      "ignoreMissing": [
        "rollup",
        "webpack",
        "core-js"
      ]
    },
    "allowedDeprecatedVersions": {
      "sourcemap-codec": "*",
      "w3c-hr-time": "*",
      "stable": "*"
    }
  }
}
